Package com.microblink.blinkid.uisettings

# Class BaseBlinkIdUiSettings

java.lang.Object
com.microblink.blinkid.uisettings.UISettings<BlinkIdOverlayController>
com.microblink.blinkid.uisettings.BaseBlinkIdUiSettings

All Implemented Interfaces:
  `BackSideScanningTimeoutUIOptions`, `BeepSoundUIOptions`, `CurrentImageListenerUIOptions`, `DebugImageListenerUIOptions`, `DocumentDataMatchUIOptions`, `DocumentNotSupportedDialogUIOptions`, `HighResSuccessFrameCaptureUIOptions`, `MrzDetectionUIOptions`, `OcrResultDisplayUIOptions`, `ScanUIEventListenerUIOptions`, `SplashScreenUIOptions`

Direct Known Subclasses:
  `BlinkIdUISettings`, `DocumentUISettings`, `LegacyDocumentVerificationUISettings`

public abstract class BaseBlinkIdUiSettings extends UISettings<BlinkIdOverlayController> implements BeepSoundUIOptions, DebugImageListenerUIOptions, CurrentImageListenerUIOptions, HighResSuccessFrameCaptureUIOptions, SplashScreenUIOptions, OcrResultDisplayUIOptions, DocumentDataMatchUIOptions, MrzDetectionUIOptions, DocumentNotSupportedDialogUIOptions, BackSideScanningTimeoutUIOptions, ScanUIEventListenerUIOptions

- ## Field Summary

  ### Fields inherited from interface com.microblink.blinkid.uisettings.options.BackSideScanningTimeoutUIOptions

  `TIMEOUT_INFINITY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BaseBlinkIdUiSettings(android.content.Intent intent)`
  `protected`
  `BaseBlinkIdUiSettings(RecognizerBundle recognizerBundle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlinkIdOverlayController`
  `createOverlayController(android.app.Activity activity, ScanResultListener scanResultListener)`
  Creates overlay controller and configures it using set values.
  `protected abstract BlinkIdOverlayView`
  `createOverlayView()`
  `void`
  `enableHighResSuccessFrameCapture(boolean enabled)`
  Sets whether to enable capturing high res frames on recognition success.
  `long`
  `getShowTooltipTimeIntervalMs()`
  `protected abstract boolean`
  `isLockedToPortrait()`
  `void`
  `saveToIntent(android.content.Intent intent)`
  Saves this scan activity settings to `Intent` so it can be passed to the corresponding scan activity.
  `void`
  `setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)`
  Set back side scanning timeout in milliseconds, default is 17 000 milliseconds.
  `void`
  `setBeepSoundResourceID(int beepSoundResourceID)`
  Defines the resource ID of the sound to be played when recognition is successful.
  `void`
  `setCurrentImageListener(CurrentImageListener currentImageListener)`
  Sets implementation of `CurrentImageListener` interface that will obtain images that are currently being processed.
  `void`
  `setDebugImageListener(DebugImageListener debugImageListener)`
  Sets implementation of `DebugImageListener` interface that will obtain images that are being processed.
  `void`
  `setDocumentDataMatchRequired(boolean isRequired)`
  If set to true, user won't be able to finish the scanning process if data read from front and back sides doesn't match.
  `void`
  `setOcrResultDisplayMode(OcrResultDisplayMode ocrResultDisplayMode)`
  Defines mode in which OCR result will be drawn on camera preview.
  `void`
  `setScanUIEventListener(ScanUIEventListener scanningEventListener)`
  Sets implementation of `ScanUIEventListener` interface that will be called;
  `void`
  `setShowMrzDetection(boolean showOcrResult)`
  Defines whether detection of MRZ(Machine Readable Zone) will be displayed in UI, default is `true`.
  `void`
  `setShowNotSupportedDialog(boolean showNotSupportedDialog)`
  Defines whether Document Not Supported dialog will be displayed in UI, default is `true`.
  `void`
  `setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)`
  `void`
  `setSplashScreenLayoutResourceID(int splashScreenLayoutResourceID)`
  Defines the ID of the layout resource that will be used as camera splash screen displayed while camera is being initialized.

  ### Methods inherited from class com.microblink.blinkid.uisettings.UISettings

  `getActivityTheme, getFilterTouchesWhenObscured, getTargetActivity, getUsingFlagSecure, setActivityTheme, setCameraSettings, setFilterTouchesWhenObscured, setUsingFlagSecure`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseBlinkIdUiSettings

    protected BaseBlinkIdUiSettings(@Nullable RecognizerBundle recognizerBundle)

  - ### BaseBlinkIdUiSettings

    protected BaseBlinkIdUiSettings(@NonNull android.content.Intent intent)

- ## Method Details

  - ### setBeepSoundResourceID

    public void setBeepSoundResourceID(@RawRes int beepSoundResourceID)
    Description copied from interface: `BeepSoundUIOptions`
    Defines the resource ID of the sound to be played when recognition is successful.
    Specified by:
      `setBeepSoundResourceID` in interface `BeepSoundUIOptions`
    Parameters:
      `beepSoundResourceID` - resource ID of the sound to be played when recognition is successful.

  - ### setDocumentDataMatchRequired

    public void setDocumentDataMatchRequired(boolean isRequired)
    Description copied from interface: `DocumentDataMatchUIOptions`
    If set to true, user won't be able to finish the scanning process if data read from front and back sides doesn't match. This is applicable only when using combined recognizers.
    Specified by:
      `setDocumentDataMatchRequired` in interface `DocumentDataMatchUIOptions`
    Parameters:
      `isRequired` - `true` if you wish to enable document data matching

  - ### setDebugImageListener

    public void setDebugImageListener(@Nullable DebugImageListener debugImageListener)
    Description copied from interface: `DebugImageListenerUIOptions`
    Sets implementation of `DebugImageListener` interface that will obtain images that are being processed. DebugImageListener will receive all possible debug images that become available during recognition process.
    Specified by:
      `setDebugImageListener` in interface `DebugImageListenerUIOptions`
    Parameters:
      `debugImageListener` - Implementation of debug image listener or `null` to clear listener that has been set previously.

  - ### setCurrentImageListener

    public void setCurrentImageListener(@Nullable CurrentImageListener currentImageListener)
    Description copied from interface: `CurrentImageListenerUIOptions`
    Sets implementation of `CurrentImageListener` interface that will obtain images that are currently being processed. `CurrentImageListener` will receive all possible images that become available during recognition process.
    Specified by:
      `setCurrentImageListener` in interface `CurrentImageListenerUIOptions`
    Parameters:
      `currentImageListener` - Implementation of image listener or `null` to clear listener that has been set previously.

  - ### setScanUIEventListener

    public void setScanUIEventListener(@Nullable ScanUIEventListener scanningEventListener)
    Description copied from interface: `ScanUIEventListenerUIOptions`
    Sets implementation of `ScanUIEventListener` interface that will be called;
    Specified by:
      `setScanUIEventListener` in interface `ScanUIEventListenerUIOptions`
    Parameters:
      `scanningEventListener` - implementation of events listener or `null` to clear listener that has been set previously.

  - ### enableHighResSuccessFrameCapture

    public void enableHighResSuccessFrameCapture(boolean enabled)
    Description copied from interface: `HighResSuccessFrameCaptureUIOptions`
    Sets whether to enable capturing high res frames on recognition success. Default is `false`.
    Specified by:
      `enableHighResSuccessFrameCapture` in interface `HighResSuccessFrameCaptureUIOptions`
    Parameters:
      `enabled` - `true` if you wish to enable high res success frame capture

  - ### setSplashScreenLayoutResourceID

    public void setSplashScreenLayoutResourceID(int splashScreenLayoutResourceID)
    Description copied from interface: `SplashScreenUIOptions`
    Defines the ID of the layout resource that will be used as camera splash screen displayed while camera is being initialized. If not set, default splash screen will be used.
    Specified by:
      `setSplashScreenLayoutResourceID` in interface `SplashScreenUIOptions`
    Parameters:
      `splashScreenLayoutResourceID` - ID of the layout resource that will be used as camera splash screen displayed while camera is being initialized.

  - ### setOcrResultDisplayMode

    public void setOcrResultDisplayMode(@Nullable OcrResultDisplayMode ocrResultDisplayMode)
    Description copied from interface: `OcrResultDisplayUIOptions`
    Defines mode in which OCR result will be drawn on camera preview.
    Specified by:
      `setOcrResultDisplayMode` in interface `OcrResultDisplayUIOptions`
    Parameters:
      `ocrResultDisplayMode` - mode in which OCR result will be drawn on camera preview.

  - ### setShowMrzDetection

    public void setShowMrzDetection(boolean showOcrResult)
    Description copied from interface: `MrzDetectionUIOptions`
    Defines whether detection of MRZ(Machine Readable Zone) will be displayed in UI, default is `true`.
    Specified by:
      `setShowMrzDetection` in interface `MrzDetectionUIOptions`
    Parameters:
      `showOcrResult` - whether detection of MRZ(Machine Readable Zone) will be displayed in UI.

  - ### setShowNotSupportedDialog

    public void setShowNotSupportedDialog(boolean showNotSupportedDialog)
    Description copied from interface: `DocumentNotSupportedDialogUIOptions`
    Defines whether Document Not Supported dialog will be displayed in UI, default is `true`.
    Specified by:
      `setShowNotSupportedDialog` in interface `DocumentNotSupportedDialogUIOptions`
    Parameters:
      `showNotSupportedDialog` - whether Document Not Supported dialog will be displayed in UI.

  - ### setBackSideScanningTimeoutMs

    public void setBackSideScanningTimeoutMs(long backSideScanningTimeoutMs)
    Description copied from interface: `BackSideScanningTimeoutUIOptions`
    Set back side scanning timeout in milliseconds, default is 17 000 milliseconds. If set to 0, dialog will not be shown.
    Specified by:
      `setBackSideScanningTimeoutMs` in interface `BackSideScanningTimeoutUIOptions`
    Parameters:
      `backSideScanningTimeoutMs` - timeout in milliseconds.

  - ### setShowTooltipTimeIntervalMs

    public void setShowTooltipTimeIntervalMs(long showTooltipTimeIntervalMs)

  - ### getShowTooltipTimeIntervalMs

    public long getShowTooltipTimeIntervalMs()

  - ### isLockedToPortrait

    protected abstract boolean isLockedToPortrait()

  - ### saveToIntent

    @CallSuper public void saveToIntent(@NonNull android.content.Intent intent)
    Description copied from class: `UISettings`
    Saves this scan activity settings to `Intent` so it can be passed to the corresponding scan activity. Intent target activity must be set before calling this method, and target activity must be compatible with this settings. DO NOT USE THIS METHOD UNLESS YOU KNOW WHAT YOU ARE DOING. Improper usage will crash your app.
    Overrides:
      `saveToIntent` in class `UISettings<BlinkIdOverlayController>`
    Parameters:
      `intent` - Intent to which this scan activity settings should be saved.

  - ### createOverlayController

    @NonNull public BlinkIdOverlayController createOverlayController(@NonNull android.app.Activity activity, @NonNull ScanResultListener scanResultListener)
    Description copied from class: `UISettings`
    Creates overlay controller and configures it using set values.
    Specified by:
      `createOverlayController` in class `UISettings<BlinkIdOverlayController>`

  - ### createOverlayView

    @NonNull protected abstract BlinkIdOverlayView createOverlayView()